Module javafx.base
Package javafx.util.converter

# Class NumberStringConverter

java.lang.Object
javafx.util.StringConverter<Number>
javafx.util.converter.NumberStringConverter

Direct Known Subclasses:
  `CurrencyStringConverter`, `PercentageStringConverter`

public class NumberStringConverter extends StringConverter<Number>

`StringConverter` implementation for `Number` values.

Since:
  JavaFX 2.1

## Constructor Summary

Constructors
Constructor
Description
`NumberStringConverter()`
`NumberStringConverter(String pattern)`
`NumberStringConverter(NumberFormat numberFormat)`
`NumberStringConverter(Locale locale)`
`NumberStringConverter(Locale locale, String pattern)`

## Method Summary

Modifier and Type
Method
Description
`Number`
`fromString(String value)`
Converts the string provided into an object defined by the specific converter.
`protected NumberFormat`
`getNumberFormat()`
Return a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.
`String`
`toString(Number value)`
Converts the object provided into its string form.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NumberStringConverter

public NumberStringConverter()

### NumberStringConverter

public NumberStringConverter(Locale locale)

### NumberStringConverter

public NumberStringConverter(String pattern)

### NumberStringConverter

public NumberStringConverter(Locale locale, String pattern)

### NumberStringConverter

public NumberStringConverter(NumberFormat numberFormat)

## Method Details

### fromString

public Number fromString(String value)
Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.

Specified by:
  `fromString` in class `StringConverter<Number>`
Parameters:
  `value` - the `String` to convert
Returns:
  an object representation of the string passed in.

### toString

public String toString(Number value)
Converts the object provided into its string form. Format of the returned string is defined by the specific converter.

Specified by:
  `toString` in class `StringConverter<Number>`
Parameters:
  `value` - the object of type `T` to convert
Returns:
  a string representation of the object passed in.

### getNumberFormat

protected NumberFormat getNumberFormat()

Return a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.

Returns:
  a `NumberFormat` instance for formatting and parsing in this `StringConverter`